/**
 * 请求数据中心类型
 */

export enum OPERATIONALDATATYPE {
    增加='/yuyi/dataserver/mysql/table/add',
    修改='/yuyi/dataserver/mysql/table/update',
    删除='/yuyi/dataserver/mysql/table/delete',
    查询单个='/yuyi/dataserver/mysql/table/find/one',
    查询多个='/yuyi/dataserver/mysql/table/find/many',
    分页查询='/yuyi/dataserver/mysql/table/find/manytopage',
    查询数据量='/yuyi/dataserver/mysql/table/find/count',
    多表联查='/yuyi/dataserver/mysql/table/find/aggragate',
    多表分页='/yuyi/dataserver/mysql/table/find/aggragatetopage',
    多表单个='/yuyi/dataserver/mysql/table/find/aggragateone',
}

/**
 * 表名
 */
export enum TABLENAME {
    羽翼孵化器信息='system_yuyi',
    企业孵化信息='enterprise_fuhua',
    租赁信息='enterprise_lease',
    企业用户表='enterprise_user',
    企业融资='enterprise_financing',
    企业荣誉='enterprise_honor',
    企业经营信息='enterprise_manage',
    企业资质 ='enterprise_qualification',
    参保记录 ='enterprise_canbao',
    创业团队 ='enterprise_team',
    // 知识产权 ='enterprise_ipr',
    法人信息表 ='enterprise_legal_person',
    // 企业专利表 ='enterprise_patent',
    园区通知表 ='garden_notice',
    园区活动表 ='garden_activity',
    企业服务表 ='enterprise_service',
    企业基础信息表 ='enterprise',
    政策表 = 'policy',
    管理后台用户 = 'adminUser',//以下为新表
    变更信息表 = "info_update",
    企业标签表 = "enterprise_label",
    股权结构 = "ownership",
    行业信息分类 = "enterprise_industry",
    主要人员 = "employees",
    分支机构 = "branches",
    行政许可核查 = "license",
    空壳扫描 = "enterprise_empty",
    风险 = "enterprise_risk",
    科创分 = "enterprise_stem",
    资质证书 = "certification",
    失信核查 = "dishonesty",
    严重违法犯罪 = "break_the_law",
    对外投资 = "overseas_investment",
    入孵申请审批表 ='approval_history',
    入驻信息表 = "info_enter",
    运营推广信息表 = "info_operation_promotion",
    商标 = "trade_mark",
    作品著作权 = "copy_right",
    软件著作权 = "software_copyright",
    专利 = "patent",
    
}

export enum TABLEID {
    羽翼孵化器信息='yy',
    企业孵化信息='fh',
    租赁信息='le',
    企业用户表='ur',
    企业融资='fi',
    企业荣誉='ho',
    企业经营信息='ma',
    企业资质 ='qu',
    参保记录 ='cb',
    创业团队 ='te',
    // 知识产权 ='ipr',
    法人信息表 ='ps',
    // 企业专利表 ='pe',
    园区通知表 ='nt',
    园区活动表 ='ac',
    企业服务表 ='es',
    企业基础信息表 ='e',
    图片存储='img',
    政策表 = 'zc',
    变更信息表 = "iu",
    企业标签表 = "el",
    股权结构 = "os",
    行业信息分类 = "ei",
    主要人员 = "em",
    分支机构 = "br",
    行政许可核查 = "li",
    空壳扫描 = "emp",
    风险 = "er",
    科创分 = "stem",
    资质证书 = "cc",
    失信核查 = "dis",
    严重违法犯罪 = "bt",
    对外投资 = "ot",
    入孵申请审批表 = 'ah',
    入驻信息表 = "ei",
    运营推广信息表 = "opi",
 
} 